
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body, html {
   
    font-family: Roboto,sans-serif;
    font-weight: 400;
    line-height: 1.6;
}
.container {
    max-width: 1200px;
    margin: auto;
}
header {
  position: absolute;
  width: 100%;  
  left: 0;
  top: 30;
}
.header__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
nav {
    display: flex;
    align-items: center;
}

nav ul li {
    display: inline-block;
    margin-right: 20px;
    

}
.header__content a {
    text-decoration: none;
    color: black;

}
.header__content a span {
    display: inline-block;
    transition: all 1s;
    font-weight: 500;
}
.header__content i {  
    font-size: 8px;
}
.header__content  a:hover {
    color: #f55f8d;
}
.header__content a:hover span {
    animation: upToDown 0.5s;
}

.btn-grad {
    background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    margin: 10px;
    padding: 20px 35px;
    text-align: center;
    text-transform: uppercase;
    transition: 0.5s;
    font-weight: 300;
    background-size: 200%; 
    color: white;
    box-shadow: 0 0 20px #eee;
    border: none;
    border-radius: 30px;
    cursor: pointer;
    
  }
  
  .btn-grad:hover {
    background-position: right center;
    color: #fff;
 
  }
  /* star banner */
  .banner {
    background-image: url(./image/pic2.png);
    overflow: hidden;
    background-position: top;
    background-size: 100%;
    background-repeat: no-repeat;
    
    


    
  }
  .banner .container {
    display: flex;
    justify-content: space-between;
    padding-top: 170px;
    padding-bottom: 100px;
  }
  .title p{
    font-weight: bold;
    color: #f55f8d;
    font-size: 20px;
    
  }
  .title h2 {
    font-size: 70px;
    line-height: 70px;
    color: #262626;
    margin: 25px auto;
  }
  
  .banner__left .left__content p {
    color:  #636363;
    font-size: 20px;
  }
  .banner__left .left__content li {
    margin-top: 30px;
    list-style: none;
    color: #636363;
  }
  .banner__left .left__content li i {
    background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    font-size: 24px;
    border-radius: 35px;
    color: #fff;
    background-size: 200%;
    margin-right: 10px;
  }
  .btn-gradient  {
    background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
    margin-top: 30px;
    padding: 25px 40px;
    text-align: center;
    text-transform: uppercase;
    transition: 0.5s;
    font-weight: 300;
    background-size: 200%; 
    color: white;
    box-shadow: 0 0 20px #eee;
    border: none;
    border-radius: 30px;
    cursor: pointer;
  }
.btn-gradient:hover {
    background-position: right center;
    color: #fff;
    
  }
  
  .banner__right img{
    position: relative;
    left: 135px;
    bottom: 20px;

  }
  /* end banner */
/* start service */
  .digitalService {
    background-image: url(./image/bg2.png);
    background-size: cover;
    background-position: top center;
    text-align: center;
  }
  
  .digitalService .digitalService__title h2 {
    font-size: 70px;
    color: #262626;
  }
  .digitalService__container {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 30px;
    text-align: center;
    margin-top: 50px;
    
  }
  
  .digitalService__container .container__item {
    background-color: white;
    border: none;
    border-radius: 10px;
    box-shadow: 0 0 60px 0 rgb(0 0 0 / 10%);
    padding: 30px 45px; 
    translate: translateY(0); 
    transition: all 0.5s;
  }
  .digitalService__container .container__item:hover {
    transform: translateY(-20px);
  } 
  .digitalService__container .container__item img {
    width: 70%;
    margin-bottom: 20px;
  }
  .digitalService__container .container__item p {
    margin-top: 20px;
    color: #636363;
  } 
    /*  Start About us */
  .aboutUs {
    background-image: url(./image/bg15.png);
    background-size: 100%;
    background-position: center right;
    background-repeat: no-repeat;
    overflow: hidden;
  }
  .aboutUs .container {
   
    padding: 100px 0;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: relative;
  }
  .aboutUs__left {
    width: 60%;
    position: absolute;
    left: -17%;
}
  .aboutUs__left img{
    width: 100%;
    border-radius: 0 100px 100px 0;
  }  
  .aboutUs__right {
   width: 50%;
  
  }
  .aboutUs__right h2 {
    color: #f55f8d;
  }
  .aboutUs__right h1{
    font-size: 70px;
    line-height: 70px;
    color: #262626;
    margin: 25px auto;
  }
  .aboutUs__right p {
    margin-bottom: 20px;
    color: #636363;
  }
  .aboutUs__right ul {
    line-height: 40px;
    list-style: none;
    color: #636363;
  }
  .aboutUs__right ul li i {
    color: #f55f8d;
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    margin-right: 10px;
    border: solid 2px #f55f8d;
    border-radius: 35px;
  }

/* start number */
.number {
  display: flex;
  background-image: url(/image/bg14.png);
  background-position: center;
  background-repeat: no-repeat;
  justify-content: space-between;
  padding: 80px 180px 50px 180px;
}
.number__item {
  text-align: center;
}
.number__item i {
  display: inline-block;
  background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
  font-size: 40px;
  background-size: 200%;
  width: 80px;
  height: 80px;
  line-height: 80px;
  border-radius: 50%;
  color: white;
  margin-bottom: 15px;
}
.number__item p:first-of-type {
  color: #f55f8d;
  font-size: 65px;
  font-weight: 800;
  line-height: 1;
}
/* star features */
.features {
  background-image: url(./image/bg2.png);
  background-size: 100%;
  background-position: center;
  background-repeat: no-repeat;
  overflow: hidden;
}
.features .container {
  padding: 100px 0;
  display: flex;
}
.features__left, .features__right {
  width: 50%;
}
.features__right img{
  width: 100%;
  height: 90%;
  position: relative;
  animation: move2 5s infinite;
  left: 80px;
}
.designvelop {
  position: relative;
  left: 10%;
}
.features__item div{
  padding-left: 25px;
  z-index: 1;
  transition: all 1s;
}
.features__bg i {
  font-size: 80px;
  line-height: 1;
  z-index: 1;
  color: #f55f8d;
  transition: all 1s;
}

.features__bg {
  display: flex;
  align-items: center;
  box-shadow: 0 0 60px 0 rgb(0 0 0 / 10%);
  padding: 30px;
  margin-bottom: 25px;
  background-color: #fff;
  border-radius: 10px;
  position: relative;
  overflow: hidden; 
}


.features__bg::after{
  content: "";
  background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
  background-size: 200%;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: all 1s;
} 
.features__bg:hover::after{
  opacity: 1;
}
.features__bg:hover i,
.features__bg:hover h3,
.features__bg:hover p {
    color: white;
}



.portfolio {
  background-image: url(/image/bg17.png);
  background-size: cover;
  background-position: top center;
  text-align: center;
}
.portfolio__content {
  display: grid;
  grid-template-columns: repeat(2,1fr) 1.5fr;
  gap: 35px;
}
.portfolio__item {
  border-radius: 10px;
  position: relative;
  overflow: hidden;
}
.portfolio__item img {
  width: 100%;
  height: 100%;
}
.portfolio__item1 {
  grid-column: 1/span 2;
}
.portfolio__item5 {
  grid-column: 1/span 2;
}
.portfolio__item6 {
  grid-column: 3/4;
  grid-row: 2/4;
}
.portfolio__item::before {
  content: "";
  width: 50%;
  height: 100%;
  position: absolute;
  top: 0;
  left: -100%; 
  display: block; 
  background: linear-gradient(
  to right,
  rgba(255, 255, 255, 0) 0%,
  rgba(255, 255, 255, 0.3) 100%
);
  transform: skewX(-25deg);
  transition: all 0.75s;
} 
.portfolio__item:hover::before {
  left: 125%;
}
.portfolio__overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,.4);
  opacity: 0;
  transition: all 1s;
}
.portfolio__item:hover .portfolio__overlay {
  opacity: 1;
}
.portfolio__icon a {
  cursor: pointer;
}
.portfolio__icon i {
  line-height: 50px;
}
.portfolio__icon {
  position: absolute;
  top: 20px;
  right: 20px;
  font-size: 28px;
  color: #fff;
  width: 50px;
  height: 50px;
  background: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
  background-size: 200%;
  border-radius: 10px;
  transform: translate(20px,-20px);
  transition: all 1s;
}
.portfolio__item:hover .portfolio__icon {
  transform: translate(-20px, 20px);
}
.portfolio__text {
  position: absolute;
  bottom: 30px;
  left: 30px;
  text-align: left;
  transform: translateY(150px);
  transition: all 1s;
}
.portfolio__item:hover .portfolio__text {
  transform: translateY(10px);
}
.portfolio__text h3 {
  font-size: 20px;
  font-weight: 800;
  color: #fff;
}
.portfolio__text p {
  color: #fff;
  opacity: 0.8;
}
/* start plan */

.plan {
  padding: 100px 0;
  background-image: url(./image/bg16.png);
  background-size: cover;
  background-position: center;
  text-align: center;
}

.plan__content {
  display: grid;
  grid-template-columns: repeat(3,1fr);
  margin-top: 40px;
  gap: 30px;
}
.plan__item {
  padding: 35px 60px;
  border: 2px solid transparent;
  border-radius: 8px;
  background-color: #fff;
  box-shadow: 1px 0 50px rgb(0 0 0 / 10%);
  border-image: 100 round;
  transition: all .5s;
}
.plan__item:hover {
  border-image: url(./image/br.png) 30 / 30px round;
}
.plan__item h3 {
  font-weight: 700;
  color: #262626;
  font-size: 2rem;
}
.plan__item img {
  width: 125px;
}
.plan__item li, .plan__item p {
  font-size: 18px;
  color: #262626;
  font-weight: 600;
}

.plan__item span {
  color: #f8ae56;
  font-size: 50px;
  font-weight: 800;
}
.plan__item ul {
  text-align: left;
  padding: 15px 0;
  border-top: 1px solid #e1e1f0;
}
.plan__item li {
  padding: 5px 0;
  list-style: none;
}
.plan__item i {
  font-size: 12px;
  width: 26px;
  height: 26px;
  line-height: 26px;
  text-align: center;
  background-color: #feeff3;
  color: #f55f8d;
  border-radius: 100%;
  margin-right: 15px;
}
.testimonial-content {
  text-align: center;
  background-image: url(./image/bg17.png);
  background-size: 100%;
  background-position: center;
  background-repeat: no-repeat;
  
}
.swiper-pagination-bullets.swiper-pagination-horizontal {
  bottom: auto;
}

.swiper-pagination-bullet-active {
  background: #f55f8d;
}


.testimonial-thumbs .testimonial-pic img {
  width: 80px;
  height: 80px;
  border-radius: 100%;
  padding: 5px;
  position: relative;
  z-index: 2;
  background-color: #f55f8d;
}
.testimonial-thumbs::after,.testimonial-thumbs::before {
  content: "";
  width: 30px;
  position: absolute;
  top: 0;
  height: 100%;
  z-index: 2
}

.testimonial-thumbs::before {
  left: 0;
  background: linear-gradient(to right,#fff 0,rgba(255,255,255,0) 100%)
}

.testimonial-thumbs::after {
  right: 0;
  background: linear-gradient(to left,#fff 0,rgba(255,255,255,0) 100%)
}
.testimonial-pic .shape-bx::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  background-image: url(/image/pattern12.png);
  background-position: bottom;
  background-size: contain;
  height: 100%;
  width: 100%;
  transition: all 1s;
}

.testimonial-thumbs {
  width: 300px;
  margin: auto;
  box-sizing: border-box;
  height: 170px;
  position: relative;
  overflow: hidden;
}
.testimonial-comment {
  width: 100%;
}
.testimonial-comment .swiper-wrapper {
  padding-bottom: 20px;
  height: auto;
}
.testimonial-thumbs .testimonial-pic {
  padding: 30px 0 0;
  transition: all 0.5s;
}
.testimonial-thumbs .swiper-slide-thumb-active .testimonial-pic {
  padding: 0 0 40px;
}
.testimonial-pic .shape-bx {
  position: relative;
  height: 35px;
  width: 50px;
  left: 50%;
  transform: translateX(-50%);
  bottom: 10px;
  opacity: 0;
  transition: all 1s;
  background-color: #f55f8d
}
.testimonial-pic .shape-bx::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  background-image: url(/image/pattern12.png);
  background-position: bottom;
  background-size: contain;
  height: 100%;
  width: 100%;
  transition: all 1s
}
.testimonial-pic::before {
  height: 15px;
  width: 15px;
  bottom: 30px
}

.testimonial-pic::after {
  height: 10px;
  width: 10px;
  bottom: 0
}

.swiper-slide-thumb-active .testimonial-pic::after,.swiper-slide-thumb-active .testimonial-pic::before {
  opacity: 1
}

.testimonial-pic::after,.testimonial-pic::before {
  content: "";
  background-color: #f55f8d;
  border-radius: 50px;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  opacity: 0
}

.swiper-slide-thumb-active .testimonial-pic .shape-bx {
  opacity: 1
}
.testimonial-text {
  padding: 30px;
  text-align: center;
  box-shadow: 0 10px 20px 0 rgb(0 0 0 / 10%);
  margin: 0 auto;
  border-radius: 10px;
  background-color: #fff;
  max-width: 770px;
  margin-bottom: 30px;
  position: relative;
}
.testimonial-text i {
  position: absolute;
  top: 10px;
  left: 30px;
  font-size: 70px;
  color: #f55f8d;
  transform: rotate(-180deg);
}
.testimonial-name {
  font-size: 25px;
}
.testimonial-position {
  color: #f55f8d;
  font-size: 20px;
}
.testimonial-text p{
  color: #636363;
  margin-top: 25px;
  font-style: italic;
  font-size: 17px;
}
/* blog */
.blog {
  background-image: url(./image/bg16.png);
  background-size: cover;
  background-position: top center;
  text-align: center;
  padding: 100px 0;
}

.blog__content {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.item__container {
  padding: 10px;
}

.blog__item {

  background: rgba(245,95,141,.1);
  border-radius: 8px;
  
}

.blog__header {
  position: relative;
}

.blog__header img {
  display: block;
  width: 100%;
  border-radius: 8px;
}

.blog__header p {
  background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
  background-size: 200%;
  border-radius: 6px;
  padding: 10px 20px;
  font-size: 14px;
  color: #fff;
  position: absolute;
  bottom: -20px;
  left: 15px;
}

.blog__body {
  padding: 30px 15px 20px 15px;
  line-height: 1.4;
  margin-bottom: 20px;
  text-align: left;
}
.blog__body h3 {
  font-size: 1.5rem;
  font-weight: 700;
  color: #262626;
}

.blog__footer {
  display: flex;
  align-items: center;
  padding: 15px;
  text-transform: uppercase;
  font-weight: 400;
  font-size: 14px;
  border-top: 1px solid rgba(0,0,0,.05);
}

.blog__footer p:first-of-type {
  margin-right: 20px;
}

.blog__footer p:first-of-type span {
  color: #f55f8d;
}

.blog__footer i {
  font-size: 22px;
  color: #f55f8d;
  vertical-align: sub;
}
.owl-theme .owl-nav, .owl-theme .owl-dots {
  display: none;
}

/* end blog */
/* start footer */
footer {
  background-image: url(./image/bg4.png);  
  display: block;
  height: auto;
  background-repeat: no-repeat;
  background-position: center;
  background-color: #0e1b1f;
  background-size: contain;
  color: #fff;
  font-size: 15px;
  position: relative;
}

footer::before {
  content: "";
  background-image: url(./image/pattern2.png);
  background-position: left top;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.footer__top {
  visibility: visible;
  padding: 50px 60px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 30px 0 rgb(0 0 0 / 10%);
  background-image: url(./image/pattern3.png);
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: 100%;
  position: relative;
  display: flex;
}

.footer__text, .footer__form {
  width: 50%;
}

.footer__text h2 {
  font-size: 28px;
  color: #262626;
}

.footer__form form {
  display: flex;
  border-radius: .5rem;
  box-shadow: 0 0 60px 0 rgb(0 0 0 / 10%);
}

.footer__form input {
  padding: 20px 20px;
  font-size: 15px;
  font-weight: 400;
  color: #888;
  background: #fff;
  flex: 1 1 auto;
  border-radius: .5rem 0 0 .5rem;
  border: 1px solid #fff;
  outline: 0;
  transition: all .5s;
}

.footer__form button {
  padding: 20px 35px;
  font-size: 20px;
  background-image: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
  background-size: 200%;
  border-color: transparent;
  transition: all .5s;
  border-radius: 0 .5rem .5rem 0;
  color: #fff;
  cursor: pointer;
}
.footer__form input:focus,.footer__form input:hover {
  border-color: #f55f8d;
}
.footer__form button:hover {
  background-position: right center;
}
.footer__form button:hover i {
  animation: toLeftFromRight 0.5s forwards;
  display: inline-block
}
.footer__bottom {
  display: flex;
  padding: 70px 0;
  position: relative;
}

.footer__item {
  width: 25%;
}

.footer__item li {
  padding: .5rem 0;
  list-style: none;
}

.footer__item i {
  font-weight: 700;
  margin-right: 10px;
}


.footer__item a {
  color: #636363;
  font-size: 16px;
  transition: all .5s;
  text-decoration: none;
}

.footer__item a:hover {
  color: #fff;
}

.footer__item h3 {
  font-size: 24px;
  font-weight: 700;
  padding-bottom: 10px;
  margin-bottom: 30px;
  position: relative;
  color: #fff;
}

.footer__contact li {
  display: flex;
  align-items: center;
}

.footer__contact i {
  height: 40px;
  width: 40px;
  line-height: 40px;
  margin-right: 10px;
  text-align: center;
  background: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
  display: block;
  border-radius: 50px;
}



.footer__item h3::after, .footer__item h3::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  height: 4px;
  border-radius: 20px;
  background: linear-gradient(to right,#f55f8d 0,#f8ae56 51%,#f55f8d 100%);
  background-size: 200%;
}

.footer__item h3::before {
  width: 15px;
}

.footer__item h3::after {
  width: 45px;
  left: 20px;
}

.footer__content {
  display: flex;
  justify-content: space-between;

}

.footer__left span {
  color: #f55f8d;
}

.footer__copyrights {
  background-color: #1f343b;
  padding: 10px 0;
  position: relative;
}

.footer__copyrights a {
  height: 32px;
  width: 32px;
  text-align: center;
  display: inline-block;
  border-radius: 50px;
  font-size: 14px;
  color: #fff;
  background-color: rgba(255,255,255,.1);
  transition: all .5s;
}

.footer__right a:hover {
  background: #f55f8d;
}

.footer__right i {
  line-height: 32px;
}



/* end footer */

/* start back to top  */

.backToTop {
  width: 50px;
  height: 50px;
  background: #f55f8d;
  border-radius: 8px;
  line-height: 50px;
  text-align: center;
  position: fixed;
  right: 15px;
  bottom: 15px;
  color: #fff;
  transition: all .2s;
  box-shadow: -4px 4px 24px -10px #f55f8d;
  visibility: hidden;
  opacity: 0;
}
.cd-top--is-visible { 
  visibility: visible;
  opacity: 1;
}
.backToTop i {
  line-height: 45px;
}


/* end back to top  */


@keyframes move2 {
  0% {
      transform: rotate(1deg) translate(2px,2px)
  }

  50% {
      transform: rotate(-1deg) translate(-2px,-2px)
  }

  100% {
      transform: rotate(1deg) translate(2px,2px)
  }
}

@keyframes toLeftFromRight {
  49% {
      transform: translateX(100%)
  }

  50% {
      opacity: 0;
      transform: translateX(-100%)
  }

  51% {
      opacity: 1
  }
}

  @keyframes upToDown {
    49% {
      transform: translateY(100%);
    }
    50% {
      opacity: 0;
      transform: translateY(-100%);
    }
    51% {
      opacity: 1;
    }
  }
  